namespace PkmnLib.Plugin.Gen7.Scripts.Pokemon;

[Script(ScriptCategory.Pokemon, "thousand_waves")]
public class ThousandWavesEffect : Script, IScriptPreventSelfSwitch, IScriptPreventSelfRunAway
{
    /// <inheritdoc />
    public void PreventSelfSwitch(ISwitchChoice choice, ref bool prevent) => prevent = true;

    /// <inheritdoc />
    public void PreventSelfRunAway(IFleeChoice choice, ref bool prevent) => prevent = true;
}